/// <reference types="q" />
import interfaces = require("./interfaces");
import Q = require("q");
export declare class USMARTClient {
    protected client: any;
    private authInfo;
    private socket;
    private messageCount;
    private messagePromise;
    constructor(serviceName: string, auth?: interfaces.IAuthInfo, debug?: boolean);
    protected actionWithParams(action: string, params: any, listenToProgress?: boolean): Q.Promise<{}>;
    protected actionWithParamsAndListener(action: string, params: any): Q.Promise<{}>;
    protected getURL(serviceName: string, debug: boolean): string;
}
