/// <reference types="q" />
import interfaces = require("./interfaces");
import USMARTClient = require("./usmartClient");
import Q = require("q");
export declare class USMARTLiveDataClient extends USMARTClient.USMARTClient {
    constructor(auth?: interfaces.IAuthInfo, debug?: boolean);
    subscribe(dataset: string, organisation: string): Q.Promise<{}>;
    protected getURL(serviceName: string, debug: boolean): "http://localhost:9005" | "https://livedata.usmart.io";
}
