"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var USMARTClient = require("./usmartClient");
var USMARTLiveDataClient = (function (_super) {
    __extends(USMARTLiveDataClient, _super);
    function USMARTLiveDataClient(auth, debug) {
        if (debug === void 0) { debug = false; }
        return _super.call(this, "livedata", auth, debug) || this;
    }
    USMARTLiveDataClient.prototype.subscribe = function (dataset, organisation) {
        return this.actionWithParamsAndListener("liveData:subscribe", {
            datasetGUID: dataset,
            organisationGUID: organisation
        });
    };
    USMARTLiveDataClient.prototype.getURL = function (serviceName, debug) {
        return debug ? "http://localhost:9005" : "https://livedata.usmart.io";
    };
    return USMARTLiveDataClient;
}(USMARTClient.USMARTClient));
exports.USMARTLiveDataClient = USMARTLiveDataClient;
